diff --git a/src/openssl/signatures.c b/src/openssl/signatures.c
index 8a47ef7..7ce86e5 100644
--- a/src/openssl/signatures.c
+++ b/src/openssl/signatures.c
@@ -1318,7 +1318,7 @@ static const EVP_MD xmlSecOpenSSLEcdsaSha224MdEvp = {
     xmlSecOpenSSLEcdsaEvpSign,
     xmlSecOpenSSLEcdsaEvpVerify,
     /* XXX-MAK: This worries me, not sure that the keys are right. */
-    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA224,0,0,0,0},
+    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA224,0,0,0},
     SHA256_CBLOCK,
     sizeof(EVP_MD *)+sizeof(SHA256_CTX),
 };
@@ -1415,7 +1415,7 @@ static const EVP_MD xmlSecOpenSSLEcdsaSha256MdEvp = {
     xmlSecOpenSSLEcdsaEvpSign,
     xmlSecOpenSSLEcdsaEvpVerify,
     /* XXX-MAK: This worries me, not sure that the keys are right. */
-    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA256,0,0,0,0},
+    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA256,0,0,0},
     SHA256_CBLOCK,
     sizeof(EVP_MD *)+sizeof(SHA256_CTX),
 };
@@ -1512,7 +1512,7 @@ static const EVP_MD xmlSecOpenSSLEcdsaSha384MdEvp = {
     xmlSecOpenSSLEcdsaEvpSign,
     xmlSecOpenSSLEcdsaEvpVerify,
     /* XXX-MAK: This worries me, not sure that the keys are right. */
-    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA384,0,0,0,0},
+    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA384,0,0,0},
     SHA512_CBLOCK,
     sizeof(EVP_MD *)+sizeof(SHA512_CTX),
 };
@@ -1609,7 +1609,7 @@ static const EVP_MD xmlSecOpenSSLEcdsaSha512MdEvp = {
     xmlSecOpenSSLEcdsaEvpSign,
     xmlSecOpenSSLEcdsaEvpVerify,
     /* XXX-MAK: This worries me, not sure that the keys are right. */
-    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA512,0,0,0,0},
+    {NID_X9_62_id_ecPublicKey,NID_ecdsa_with_SHA512,0,0,0},
     SHA512_CBLOCK,
     sizeof(EVP_MD *)+sizeof(SHA512_CTX),
 };
